﻿@using EpamMVC.WEB.HtmlHelpers
@using EpamMVC.WEB.Utils
@{
    PageMetaContext pageMetaContext = ViewBag.PageMeta;

    if (pageMetaContext == null)
    {
        pageMetaContext = new PageMetaContext();
    }
}


<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>@pageMetaContext.MetaTitle | Easy Travel Панель Администратора</title>
    <meta name="description" content="@pageMetaContext.MetaDescription"/>

    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

    <link rel="stylesheet" href="/Content/dist/admin_bundle.css"/>
    <script defer="defer" src="/Content/dist/admin_bundle.js"></script>
</head>

<body class="hold-transition sidebar-mini">
<div class="wrapper">

    <form action="/" class="js_ajax_token">
        @Html.AntiForgeryToken()
    </form>

    @{ Html.RenderAction("Header", "LayoutAdmin"); }

    @{ Html.RenderAction("Sidebar", "LayoutAdmin"); }

    <div class="content-wrapper">

        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">
                            @pageMetaContext.PageHeader
                        </h1>
                    </div><!-- /.col -->
                    <div class="col-sm-6">
                        @Html.PrintAdminBreadscrumbs(pageMetaContext)
                    </div>
                </div>
            </div>
        </div>

        <div class="content">
            <div class="container-fluid">
                @RenderBody()
            </div>
        </div>

    </div>

    <footer class="main-footer">
        Copyright &copy; 2019 - Tech-Priest, cc-by-nc
    </footer>

</div>

</body>
</html>
